
QGIS Application - Bug report #17576

creating new curve string does not uses default Z value and crashes

2017-11-28 07:11 PM - Regis Haubourg

Status: Closed

Priority: High

Assignee: Paul Blottiere

Category: Digitising

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25473

Description

create a postgis table like this:

CREATE TABLE public.pipe

(

  id uuid NOT NULL,

  year_end smallint,

  remark text,

  geometry_linez geometry(LineStringZ,21781),

  geometry_curve geometry(MultiCurve,21781),

  geometry_curvez geometry(MultiCurveZ,21781),

  geometrycollection geometry(GeometryCollectionZ,21781),

  CONSTRAINT pipe_pkey PRIMARY KEY (id)

)

WITH (

  OIDS=FALSE

);

open a layer using geometry_curvez geometry

Set default option Z value to anything

Creating a geometry with the curve tool will create nodes with NaN instead of default value.

Saving will crash

Associated revisions

Revision 45ca0eb5 - 2018-02-16 11:06 AM - Paul Blottiere

Fixes #17576 Avoid crash during node editor cleanup

Revision 323e75c0 - 2018-02-18 11:58 AM - Paul Blottiere

Merge pull request #5823 from pblottiere/bugfix_curvedstrings_z

[bugfix] Fixes #17576 and #17574 Add Z support and fixes crashes
History

#1 - 2018-02-18 11:57 AM - Paul Blottiere

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|45ca0eb52b4666da5f2572b01dd947996434e67e.

#2 - 2018-02-22 11:05 AM - Giovanni Manghi

- Resolution set to fixed/implemented
